Loading...
Searching...
No Matches
casacore::MSDopplerColumns Class Reference
ms package (libcasa_ms) » MeasurementSets_module

More...

`#include <MSDopplerColumns.h>`

## Public Member Functions

| MSDopplerColumns (const MSDoppler &msDoppler)
| Create a columns object that accesses the data in the specified Table.
| ~MSDopplerColumns ()
| The destructor does nothing special.
Bool | isNull () const
| Is this object defined?
ScalarColumn< Int > & | dopplerId ()
| Access to required columns.
ScalarColumn< Int > & | sourceId ()
ScalarColumn< Int > & | transitionId ()
ScalarColumn< Double > & | velDef ()
ScalarQuantColumn< Double > & | velDefQuant ()
ScalarMeasColumn< MDoppler > & | velDefMeas ()
const ScalarColumn< Int > & | dopplerId () const
| Const access to required columns.
const ScalarColumn< Int > & | sourceId () const
const ScalarColumn< Int > & | transitionId () const
const ScalarColumn< Double > & | velDef () const
const ScalarQuantColumn< Double > & | velDefQuant () const
const ScalarMeasColumn< MDoppler > & | velDefMeas () const
rownr_t | nrow () const
| Convenience function that returns the number of rows in any of the columns.
void | setVelDefRef (MDoppler::Types ref)
| set the DOPPLER type for the VELDEF column.

## Protected Member Functions

| MSDopplerColumns ()
void | attach (const MSDoppler &msDoppler)

## Private Member Functions

| MSDopplerColumns (const MSDopplerColumns &)
MSDopplerColumns & | operator= (const MSDopplerColumns &)

## Private Attributes

Bool | isNull_p
ScalarColumn< Int > | dopplerId_p
ScalarColumn< Int > | sourceId_p
ScalarColumn< Int > | transitionId_p
ScalarColumn< Double > | velDef_p
ScalarMeasColumn< MDoppler > | velDefMeas_p
ScalarQuantColumn< Double > | velDefQuant_p

## Detailed Description

A class to provide easy access to MSDoppler columns

### Intended use:

Public interface

### Review Status

Reviewed By:
  Bob Garwood
Date Reviewed:
  1997/02/01

### Prerequisite

- MSDoppler
- ScalarColumn

### Etymology

MSDopplerColumns stands for MeasurementSet Doppler Table columns.

### Synopsis

This class provides access to the columns in the MSDoppler Table, it does the declaration of all the Scalar and ArrayColumns with the correct types, so the application programmer doesn't have to worry about getting those right. There is an access function for every predefined column. Access to non-predefined columns will still have to be done with explicit declarations. See MSColumns for an example.

### Motivation

See MSColumns for the motivation.

Definition at line 72 of file MSDopplerColumns.h.

## Constructor & Destructor Documentation

## MSDopplerColumns() [1/3]

casacore::MSDopplerColumns::MSDopplerColumns | ( | const MSDoppler & | msDoppler | ) |

Create a columns object that accesses the data in the specified Table.

Referenced by MSDopplerColumns(), and operator=().

## ~MSDopplerColumns()

casacore::MSDopplerColumns::~MSDopplerColumns | ( |  | ) |

The destructor does nothing special.

## MSDopplerColumns() [2/3]

casacore::MSDopplerColumns::MSDopplerColumns | ( |  | ) |

protected

## MSDopplerColumns() [3/3]

casacore::MSDopplerColumns::MSDopplerColumns | ( | const MSDopplerColumns & |  | ) |

private

References MSDopplerColumns().

## Member Function Documentation

## attach()

void casacore::MSDopplerColumns::attach | ( | const MSDoppler & | msDoppler | ) |

protected

## dopplerId() [1/2]

ScalarColumn< Int > & casacore::MSDopplerColumns::dopplerId | ( |  | ) |

inline

Access to required columns.

Definition at line 86 of file MSDopplerColumns.h.

References dopplerId_p.

## dopplerId() [2/2]

const ScalarColumn< Int > & casacore::MSDopplerColumns::dopplerId | ( |  | ) | const

inline

Const access to required columns.

Definition at line 96 of file MSDopplerColumns.h.

References dopplerId_p.

## isNull()

Bool casacore::MSDopplerColumns::isNull | ( |  | ) | const

inline

Is this object defined?

(MSDoppler table is optional)

Definition at line 82 of file MSDopplerColumns.h.

References isNull_p.

Referenced by nrow().

## nrow()

rownr_t casacore::MSDopplerColumns::nrow | ( |  | ) | const

inline

Convenience function that returns the number of rows in any of the columns.

Returns zero if the object is null.

Definition at line 106 of file MSDopplerColumns.h.

References dopplerId_p, and isNull().

## operator=()

MSDopplerColumns & casacore::MSDopplerColumns::operator= | ( | const MSDopplerColumns & |  | ) |

private

References MSDopplerColumns().

## setVelDefRef()

void casacore::MSDopplerColumns::setVelDefRef | ( | MDoppler::Types | ref | ) |

set the DOPPLER type for the VELDEF column.

References casacore::ref().

## sourceId() [1/2]

ScalarColumn< Int > & casacore::MSDopplerColumns::sourceId | ( |  | ) |

inline

Definition at line 87 of file MSDopplerColumns.h.

References sourceId_p.

## sourceId() [2/2]

const ScalarColumn< Int > & casacore::MSDopplerColumns::sourceId | ( |  | ) | const

inline

Definition at line 97 of file MSDopplerColumns.h.

References sourceId_p.

## transitionId() [1/2]

ScalarColumn< Int > & casacore::MSDopplerColumns::transitionId | ( |  | ) |

inline

Definition at line 88 of file MSDopplerColumns.h.

References transitionId_p.

## transitionId() [2/2]

const ScalarColumn< Int > & casacore::MSDopplerColumns::transitionId | ( |  | ) | const

inline

Definition at line 98 of file MSDopplerColumns.h.

References transitionId_p.

## velDef() [1/2]

ScalarColumn< Double > & casacore::MSDopplerColumns::velDef | ( |  | ) |

inline

Definition at line 89 of file MSDopplerColumns.h.

References velDef_p.

## velDef() [2/2]

const ScalarColumn< Double > & casacore::MSDopplerColumns::velDef | ( |  | ) | const

inline

Definition at line 99 of file MSDopplerColumns.h.

References velDef_p.

## velDefMeas() [1/2]

ScalarMeasColumn< MDoppler > & casacore::MSDopplerColumns::velDefMeas | ( |  | ) |

inline

Definition at line 91 of file MSDopplerColumns.h.

References velDefMeas_p.

## velDefMeas() [2/2]

const ScalarMeasColumn< MDoppler > & casacore::MSDopplerColumns::velDefMeas | ( |  | ) | const

inline

Definition at line 101 of file MSDopplerColumns.h.

References velDefMeas_p.

## velDefQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSDopplerColumns::velDefQuant | ( |  | ) |

inline

Definition at line 90 of file MSDopplerColumns.h.

References velDefQuant_p.

## velDefQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSDopplerColumns::velDefQuant | ( |  | ) | const

inline

Definition at line 100 of file MSDopplerColumns.h.

References velDefQuant_p.

## Member Data Documentation

## dopplerId_p

ScalarColumn<Int> casacore::MSDopplerColumns::dopplerId_p

private

Definition at line 129 of file MSDopplerColumns.h.

Referenced by dopplerId(), dopplerId(), and nrow().

## isNull_p

Bool casacore::MSDopplerColumns::isNull_p

private

Definition at line 126 of file MSDopplerColumns.h.

Referenced by isNull().

## sourceId_p

ScalarColumn<Int> casacore::MSDopplerColumns::sourceId_p

private

Definition at line 130 of file MSDopplerColumns.h.

Referenced by sourceId(), and sourceId().

## transitionId_p

ScalarColumn<Int> casacore::MSDopplerColumns::transitionId_p

private

Definition at line 131 of file MSDopplerColumns.h.

Referenced by transitionId(), and transitionId().

## velDef_p

ScalarColumn<Double> casacore::MSDopplerColumns::velDef_p

private

Definition at line 132 of file MSDopplerColumns.h.

Referenced by velDef(), and velDef().

## velDefMeas_p

ScalarMeasColumn<MDoppler> casacore::MSDopplerColumns::velDefMeas_p

private

Definition at line 135 of file MSDopplerColumns.h.

Referenced by velDefMeas(), and velDefMeas().

## velDefQuant_p

ScalarQuantColumn<Double> casacore::MSDopplerColumns::velDefQuant_p

private

Definition at line 138 of file MSDopplerColumns.h.

Referenced by velDefQuant(), and velDefQuant().

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSDopplerColumns.h